@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;800&family=Rubik:wght@300;400;500;600&display=swap');
@font-face {
  font-family: "SF Pro";
  src: url("/fonts/SF-Pro-Display-Regular.woff2") format("woff2"),
       url("/fonts/SF-Pro-Display-Regular.woff") format("woff"),
       url("/fonts/SF-Pro-Display-Regular.ttf") format("truetype");
  font-weight: 400;
  font-style: normal;
}
:root {
  --primary-color: #ff6b6b;
  --secondary-color: #794afa;
  --secondary-dark-color: #453c5c;
  --white-color: #ffffff;
  --light-bg-color: #f2f3f5;
  --light-text-color: #7c899a;
  --border-color: #e5e8ec;
  --dark-color: #0a021c;
  --background-color: #0d0e12;
  --card-bg-color: #1b1e24;
  --card-text-color: #e0e0e0;
  --font-small: 13px;
  --font-smaller: 11px;
  --percent100: 100%;
  --fw3: 300;
  --fw5: 500;
  --fw6: 600;
  --fw7: 700;
  --fw8: 800;
  --trans-background-color: background-color .3s, color .3s;
  --trans-background: background-color .3s;
  --trans-color: color .3s;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Rubik', sans-serif;
  font-size: 16px;
  font-weight: 400;
  /* color: var(--card-text-color); */
  background-color: var(--white-color);
}

a{
  text-decoration: none;
  color: inherit;
  -webkit-top-highlight-color:transparent;
}
ul{
  list-style: none;
} 
strong{
  font-weight: var(--fw8);
}
table{
  border-collapse: collapse;
  border-spacing: 0;
}
input::placeholder{
  font: inherit;
}



h1,h2,h3,h4{
  font-family: 'Poppins', sans-serif;
}
h1{
  font-size: calc(1.3rem + 1vw);
  font-weight: var(--fw8);
  line-height: 1;
}
h2{
  font-size: 2.5em;
}
h3{
  font-size: 1.2rem;
  font-weight: var(--fw7);
}
h4{
  font-size: 1rem;
  font-weight: var(--fw6);
}
h4 {
  font-size: 1rem;
  font-weight: var(--fw6);
}
.main-links ul {
  font-size: var(--font-small);
  color: var(--light-text-color);
  margin-top: 16px;
}
.flexcol {
  display: flex;
  flex-direction: column;
  gap: 1em;
}


.features_all1{
padding: 2em 0;
background-color: #f8f9fa;
}
.features_all1 .card{
  background-color: #ffffff;
  padding: 12px;
  border-radius: 16px;
}

.features_all1 .min-text{
  font-weight: bold;
  font-family: "Montserrat", sans-serif;
  font-size: 16px;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 5;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  color: #1a1c36;
  line-height: 1.4;
  margin: 12px 0;
}
.features_all1 .position{
  font-family: "Montserrat", sans-serif;
  font-size: 10px;
  color: #5A5D7E;
  font-weight: bold;
}
 .slider-wrapper {
    position: relative;
  }
  
  .slider-wrapper .slide-button {
    position: absolute;
    top: 50%;
    outline: none;
    border: none;
    height: 50px;
    width: 50px;
    z-index: 5;
    color: #fff;
    display: flex;
    cursor: pointer;
    font-size: 2.2rem;
    background: #000;
    align-items: center;
    justify-content: center;
    border-radius: 50%;
    transform: translateY(-50%);
  }
  
  .slider-wrapper .slide-button:hover {
    background: #404040;
  }
  
  .slider-wrapper .slide-button#prev-slide {
    left: -25px;
    display: none;
  }
  
  .slider-wrapper .slide-button#next-slide {
    right: -25px;
  }
  
  .slider-wrapper .image-list {
    display: grid;
    grid-template-columns: repeat(10, 1fr);
    gap: 18px;
    list-style: none;
    margin-bottom: 30px;
    overflow-x: auto;
    scrollbar-width: none;
  }
  
  .slider-wrapper .image-list::-webkit-scrollbar {
    display: none;
  }
  
  .slider-wrapper .image-list .image-item {
    width:350px ;
    aspect-ratio: 16 / 9;
    object-fit: cover;
    border-radius: 8px;
  }
  
  .container .slider-scrollbar {
    height: 24px;
    width: 100%;
    display: flex;
    align-items: center;
  }
  
  .slider-scrollbar .scrollbar-track {
    background: #ccc;
    width: 100%;
    height: 2px;
    display: flex;
    align-items: center;
    border-radius: 4px;
    position: relative;
  }
  
  .slider-scrollbar:hover .scrollbar-track {
    height: 4px;
  }
  
  .slider-scrollbar .scrollbar-thumb {
    position: absolute;
    background: #000;
    top: 0;
    bottom: 0;
    width: 50%;
    height: 100%;
    cursor: grab;
    border-radius: inherit;
  }
  
  .slider-scrollbar .scrollbar-thumb:active {
    cursor: grabbing;
    height: 8px;
    top: -2px;
  }
  
  .slider-scrollbar .scrollbar-thumb::after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    top: -10px;
    bottom: -10px;
  }
  
  /* Styles for mobile and tablets */
  @media only screen and (max-width: 1023px) {
    .slider-wrapper .slide-button {
      display: none !important;
    }
  
    .slider-wrapper .image-list {
      gap: 10px;
      margin-bottom: 15px;
      scroll-snap-type: x mandatory;
    }
  
    .slider-wrapper .image-list .image-item {
     /* aspect-ratio: 20 / 4 ; */
    }
  
    .slider-scrollbar .scrollbar-thumb {
      width: 20%;
    }
  }